##### 7.5.3.0. inCenter

Procedure from library `central.lib` (see central_lib).

Usage:
  inCenter(E); E poly/list/ideal

Return:
  integer, 1 if E is in the center, 0 otherwise

Purpose:
  check whether the elements of E are central

Example:

    LIB "central.lib";
    ring R=0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z;
    D[1,3]=2*x;
    D[2,3]=-2*y;
    def r = nc_algebra(1,D); setring r; // this is U(sl_2)
    poly p=4*x*y+z^2-2*z;
    inCenter(p);
    ==> 1
    poly f=4*x*y;
    inCenter(f);
    ==> 0
    list l= list( 1, p, p^2, p^3);
    inCenter(l);
    ==> 1
    ideal I= p, f;
    inCenter(I);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.